Update a Policy by ID.

Cortex XSIAM Platform APIs

put /public_api/v1/cwp/policies/{id}

Update a policy instance by its ID

Path parameters
id String required

Policy ID to delete

Example: id_example
CLIENT REQUEST
curl -X 'PUT'
-H 'Accept: application/json; charset=UTF-8'
-H 'Content-Type: application/json; charset=UTF-8'
'https://api-yourfqdn/public_api/v1/cwp/policies/{id}'
-d '{ "action" : "ISSUE", "assetGroups" : [ "group1", "group2" ], "assetGroupsIDs" : [ 1, 2 ], "assetScope" : "<some asset scope in blob form>", "condition" : "<some condition in blob form>", "createdAt" : "2024-07-28T18:50Z", "createdBy" : "admin", "description" : "some policy description", "disabled" : false, "evaluationModes" : [ "PERIODIC" ], "evaluationStage" : "CI", "exception" : "<some exception in blob form>", "id" : "1", "missingInformationAction" : "ISSUE", "modifiedAt" : "2024-07-28T18:50Z", "name" : "some policy", "remediationGuidance" : "some remediation guidance", "revision" : "3", "ruleId" : "", "severity" : "CRITICAL", "type" : "COMPLIANCE" }'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") conn.request("PUT", "/public_api/v1/cwp/policies/%7Bid%7D") res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Put.new(url) response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("PUT", "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D"); xhr.send(data);
HttpResponse<String> response = Unirest.put("https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D") .asString();
import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PUT", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PUT"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D"); var request = new RestRequest(Method.PUT); IRestResponse response = client.Execute(request);
Body parameters
required
application/json; charset=UTF-8

The schema of a returned policy

actionstring (Enum)

One of the supported policy actions

Example:"ISSUE"
Allowed values:"ISSUE""PREVENT"null
assetGroupsarray[string]
assetGroupsIDsarray[integer]
assetScopestringbyte
conditionstringbyte
createdAtstringdate-time
createdBystring
descriptionstring
disabledboolean
evaluationModesarray[string]
evaluationStagestring (Enum)

Lists supported evaluation stages

Example:"CI"
Allowed values:"CI""RUNTIME""DEPLOY"
exceptionstringbyte
idstring
missingInformationActionstring (Enum)

One of the supported policy actions

Example:"ISSUE"
Allowed values:"ISSUE""PREVENT"null
modifiedAtstringdate-time
namestring
remediationGuidancestring
revisioninteger
rulesIdsarray[string]

The UUIDs of the rules that define the condition

severitystring (Enum)

One of the supported policy severities

Example:"CRITICAL"
Allowed values:"INFO""LOW""MEDIUM""HIGH""CRITICAL"null
typestring (Enum)

One of the supported policy types

Example:"MALWARE"
Allowed values:"COMPLIANCE""MALWARE""SECRET""TRUSTED_IMAGES"null
REQUEST
[application/json; charset=UTF-8 content]
Responses

Success

Client error

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]

Forbidden error

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]

Policy ID not found

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]

Service had unexpected internal error

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]